Subject: Re: IPP> Proposed Summary of IPP Feature Set

From: [email-masked] (JK Martin)
Date: Thu, 2 Jan 97 18:14 EST

Welcome to the New Year.

On December 30th I posted a message to the IPP list describing a very
terse summary of IPP features, stating that this summary would be used
to guide the development of the Scenarios work.

Since posting that message, I have received a response only from Carl-Uno.
His response was delivered only to myself and a couple of known Scenarios
folks.

Since there have been no other responses to my posting, I thought it would
be best to post Carl-Uno's response to the general IPP list as a means of
prompting further discussion.

Comments?

	...jay

----- Begin Included Message -----

>From mindspring.com!manros Mon Dec 30 20:47:46 1996
X-Sender: [email-masked]
Mime-Version: 1.0
Date: Mon, 30 Dec 1996 17:47:25 -0800
To: [email-masked] (JK Martin)
From: Carl-Uno Manros <[email-masked]>
Subject: [email-masked], [email-masked], [email-masked]

Jay,

just a first quick reaction to your proposed set of scenario stages:

1) You are talking about printing Web pages.  This is just one case,
and certainly not the most common one. We would like to be able to print
directly from applications, as today, which has nothing to do with
Web (HTML) formats, but rather some of the other final form document formats. 

2) We will also want to be able to print documents that are sitting out 
on a server somewhere, using a URL reference. Again that URL probably
only occationally refers to an HTML page, more likely it points to a 
Postscript file.

3) We may also want to consider whether we expect the printer to have
optional capabilities to convert between document formats, e.g. from
MS Word to Postscript.

4) The initial version of IPP will only cover your categories 3, 4 and part 
of 5 (Cancel), plus offering some description of the directory support
needed for category 1. We should certainly focus our efforts on the parts that
we intend to cover initially, while perhaps leaving a little more flexibility
for the categorories that we will cover in later IPP versions.

5) Your category 1 should also contain the case where you have identified
your target printer, but want to get more information about it's
capabilities and/or status using a List operation, which is part of IPP 
as opposed to using a directory to find the printer. Alternatively this 
might be a separate scenario category.

my 2 cents for now.

Carl-Uno

PS I send this only to you and the other Scenario members for now.
---

At 03:35 PM 12/30/96 EST, you wrote:
>Before I submit a draft outline for the IPP Scenarios, I thought it
>might be best if we first agreed upon a very terse summary outline
>of the top-level functionality for IPP.
>
>This terse summary would serve as the basis for deriving all scenarios.
>Having such a functional summary should tend to ensure that the pictures
>we paint for the scenarios are indeed rooted in the agreed upon feature
>set.
>
>The previously published "Internet Printing Requirements" document
>(ftp://ftp.pwg.org/pub/pwg/ipp/drafts/draft-wright-ipp-req-00.pdf)
>focused on describing IPP features as a function of "Role Model".
>The proposed summary differs from that approach in that all features
>are grouped together (independent of the target Role Model) into the
>following overall functional categories:
>
>  1.  Printer Discovery
>  2.  Driver Installation
>  3.  Job Submission
>  4.  Status Display
>  5.  Job Modification
>
>The above order of top-level features may be viewed as the potential
>"step-by-step" sequence of events a typical user might encounter in a
>complete "cycle" of using IPP to effect a print request.
>
>In other words, we might have our first scenario with this order in
>that we may describe a sort of "worst case" sequence of events a user
>might encounter when trying to print a target web page:
>
>  1. Find a suitable printer based on whatever criteria is
>     appropriate for the user (location, features, etc.)
>     (Printer Discovery)
>
>  2. Setup the local system to use the target printer
>     (Driver Installation)
>
>  3. Request that the web page be printed on that printer
>     (Job Submission)
>
>  4. Monitor the progress of job processing, noting any problems
>     that might arise with the printer (Status Display)
>
>  5. Alter the original job parameters, or possibly cancel the
>     request altogether (Job Modification)
>
>This crude worst-case scenario is not all encompassing, but should
>serve as a reasonable basis for describing the essential aspects of
>IPP operation.  (At least this is *my* understanding of what IPP is all
>about; if I'm off-base here in any way, please speak up pronto!)
>
>If we assume that the above list represents the top-level categories
>of the target features, then the complete feature set may be further
>described in the following outline:
>
>  1.  Printer Discovery
>
>        1.1  List printers by selected criteria
>        1.2  Display the capabilities of a printer
>
>  2.  Driver Installation
>
>        2.1  Install support for a target printer
>        2.2  Uninstall support for a target printer 
>
>  3.  Job Submission
>
>        3.1  Print the current web page
>        3.2  Print a specified URL
>        3.3  Select job parameters
>
>  4.  Status Display
>
>        4.1  View the status of a printer
>        4.2  View the status of a job or set of jobs
>        4.3  Receive notification of a printer alert
>        4.4  Receive notification of job completion
>
>  5.  Job Modification
>
>        5.1  Modify one or more parameters of a job
>        5.2  Cancel a job
>
>Note that, unlike the top level of the outline, there is no particular
>rationale for the order of the elements at the second level of the
>outline.
>
>Is this outline useful as a basis from which all scenarios are to
>be derived?
>
>	...jay
>
>PS:  The astute reader may realize that a particular set of features
>     have been omitted from this outline.  Should this omission prove
>     inappropriate, we can always add it to the outline.
>
>----------------------------------------------------------------------
>--  JK Martin               |  Email:   [email-masked]          --
>--  Underscore, Inc.        |  Voice:   (603) 889-7000              --
>--  41C Sagamore Park Road  |  Fax:     (603) 889-2699              --
>--  Hudson, NH 03015-4915   |  Web:     http://www.underscore.com   --
>----------------------------------------------------------------------
>

----- End Included Message -----